/*--------------------------------------------------------------------------------------------------------

# NEWS

--------------------------------------------------------------------------------------------------------*/


/*--------------------------------------------------------------------------------------------------------

# STARTPAGE - Med Nyheter modulen

--------------------------------------------------------------------------------------------------------*/

.sos-news ul {
   display: flex;
   flex-wrap: wrap;
   gap: 1.5rem;
   margin-bottom: 1.5rem;
}

.sos-news__item .sos-news__content--top a::before {
   content: "";
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
}

.sos-news__item:hover a {
	color: var(--env-ui-color-brand);
}

.sos-news__2col ul li {
   -ms-flex: 0 0 33.333333%;
   flex: 0 0 50%;
   max-width: 50%;
   flex-direction: column;
   display: flex;
   padding: 15px;
   min-height: 100%;
   margin-bottom: 0;
   position: relative;
}

.sos-news ul li {
   width: calc((100%/3) - 1rem);
   flex-direction: column;
   display: flex;
   min-height: 100%;
   margin-bottom: 0;
   position: relative;
}

.sos-news ul li .sos-news__item {
   background: var(--env-section-background-color);
   height: 100%;
   position: relative;
   cursor: pointer;
}

.sos-news ul li .sos-news__item__external {
   border-top: 4px solid var(--env-element-primary-background-color);
}
.sos-news ul li .sos-news__item__external .sos-news__external-text {
   padding: 1rem 1.5rem;
}

.sos-news__item-img {
   background-size: cover;
   background-repeat: no-repeat;
   background-position: center;   
   width: 100%;
   height: 280px;
   overflow: hidden;
   display: flex;
   justify-content: center;
   align-items: center;
}
.sos-news__item__external .sos-news__item-img {
   height: calc(280px - 50px);
}

.sos-news__item-img img {
   object-fit: cover;
   object-position: center;
   width: 100%;
   height: 100%;
   float: none!important;
   max-height: 540px;
   max-width: 600px;
   padding-bottom: 0!important;
   padding-left: 0 !important;
}
.sos-news__item-img {
    aspect-ratio: 1.91 / 1;
    width: 100%;
    overflow: hidden;
    height: initial !important;
}

.sos-news__item-img img {
    max-height: initial !important;
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}
.sos-news__content {    
   padding: 1rem;
   padding-bottom: 1.5rem;
}

.sos-news__content--top > span:nth-child(1) {
   width: auto;
   text-transform: uppercase;
   line-height: 1.5em;
   text-transform: uppercase;
   font-size: 14px;
   font-weight: 900;
   margin-right: 8px;
}
.sos-news__content--top > span:nth-child(2) {
   width: auto;
   color: #9c9e9f;
   font-weight: 500;
   font-size: 14px;
   line-height: 1.5em;
}

.sos-news__content h2 {
   margin: 0;
   margin-top: 0.5rem;
   margin-bottom: auto;
}
.sos-news__content a {
   margin: 0;
   margin-top: 1em;
   width: auto;
}

.sos-news__content h2 a strong {
	font-weight: 900;
}
.sos-news__content a:after {
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
}
.sos-news__content * {
   width: 100%;
}
.sos-news__content--top {
   margin-bottom: auto;
}
.sos-news__content--bottom {
   margin-top: auto;
}

@media (max-width: 1024px) {
    /* NYHETER (startpage) */
   .sos-news ul li {
      -ms-flex: 0 0 100%;
      flex: 0 0 100%;
      max-width: 100%;
   }

   .sos-news__item-img {   
      height: 400px;
   }

}

@media (max-width: 767px) {
    /* NYHETER (startpage) */      
   .sos-news__item-img {   
      height: 300px;
   }
}

@media (min-width: 640px) {
   .sos-news__content {    
      padding: 1.5rem;
      padding-bottom: 2rem;
   }

}


/*--------------------------------------------------------------------------------------------------------

# STARTPAGE NEWS PUFF

--------------------------------------------------------------------------------------------------------*/

.sos-newsbox-puff {
    background-color: #b40d1e;
    padding: 0.1rem 1rem 1rem 1rem;
    margin: 1rem;
}

.sos-newsbox-puff .subheading a, 
.sos-newsbox-puff span, 
.sos-newsbox-puff time {
   color: white
}

/*--------------------------------------------------------------------------------------------------------

# NEWSPAGE

--------------------------------------------------------------------------------------------------------*/

.sos-newsbox {
   background-color: var(--env-section-background-color);
   position: relative;
   padding: 1rem;
}

.sos-newsbox h2 {
   margin: 0;
   margin-bottom: 5px;
}

.sos-newsbox > span:nth-child(2) {
   display: inline-block;
   background: #242424;
   font-size: 12px;
   color: #fff;
   line-height: 1.2em;
   padding: 4px 6px;
   margin: 0;
}

.sos-newsbox:hover {
   background: #fbfbfb;
}
.sos-newsbox:hover a {
   text-decoration: underline;
}

.sos-newsbox a:after {
   content: "";
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
}

.sos-newsbox:has(.sos-newsbox__info) {
   display: flex;
   flex-direction: column-reverse;
   padding: 0;
   background-color: transparent;
}

.sos-newsbox__external {
   border-top: 4px solid var(--env-element-primary-background-color);
}

.sos-news__external-text {
   font-size: calc(var(--env-font-size-base)* 0.65);
   text-transform: uppercase;
   letter-spacing: var(--env-ui-text-overline-letter-spacing);
   font-weight: 500;
   padding: 1rem 0;
   opacity: 0.8;
}

.sos-newsbox .sos-newsbox__info {
   background-color: var(--env-section-background-color);
  	padding: 1.75rem 2rem;
}

.sos-newsbox .sos-newsbox__info:has(.sos-news__external-text){
   padding-top: 0;
}


.sos-newsbox .sos-newsbox__info span:not(.normal) br {
   display: block;
   height: 0;
}

.sos-newsbox:has(.sos-newsbox__info) .sos-newsbox__img {
   background-color: var(--env-section-background-color);
   max-height: 12.5rem;
   overflow: hidden;
}

 .sos-newsbox:has(.sos-newsbox__info) .sos-newsbox__img img {
    max-height: unset !important;
    max-width: unset !important;
    width: 100% !important;
    height: 100% !important;
    object-fit: cover;
    padding: 0 !important;
    float: none !important;
 }

.soc-newsbox__tags,
.soc-news__tags {
   display: flex;
   flex-wrap: wrap;
   gap: 0.5em;
   margin-bottom: 0.5em;
}

.soc-newsbox__tag,
.soc-news__tag {
   background-color: var(--env-ui-color-brand-20);
   color: var(--env-ui-color-brand-20-contrast);
} 

.soc-newsbox__tag.partidistrikt,
.soc-news__tag.partidistrikt{
   background-color: var(--env-ui-color-brand-20);
   color: var(--env-ui-color-brand-20-contrast);
}
.soc-newsbox__tag.region,
.soc-news__tag.region {
   background-color: var(--env-ui-color-brand-30);
   color: var(--env-ui-color-brand-30-contrast);
}
.soc-newsbox__tag.riksdag,
.soc-news__tag.riksdag {
   background-color: var(--env-element-secondary-background-color);
   color: var(--env-element-secondary-font-color);
}

@media (min-width: 1070px) {
   .sos-newsbox:has(.sos-newsbox__info) {
      flex-direction: row;
      overflow: hidden;
   }
   
   .sos-newsbox .sos-newsbox__info {
      width: 100%;
      min-width: 20em;
   }
   
   .sos-newsbox:has(.sos-newsbox__info) .sos-newsbox__img {
      max-height: unset;
      width: 18.75em;
   }

}
